<div
  class="container-background-color container flex-column"
  [attr.data-test-list-item-id]="'list-item'"
>
  @if (searchable) {
    <div class="p-8 flex-fixed-size">
      <sqtm-core-text-research-field (newResearchValue)="searchList($event)">
      </sqtm-core-text-research-field>
      <div class="spacer"></div>
    </div>
  }
  <div class="row-container">
    @if (filteredItems$ | async; as filteredItems) {
      @if (filteredItems.length > 0) {
        @for (item of filteredItems; track trackByFn($index, item)) {
          <div
            class="p-4 __hover_pointer txt-ellipsis flex-row item"
            [class.item-selected]="item.id === _selectedItem"
            [attr.data-test-item-id]="'item-' + item.id"
            [attr.data-test-element-id]="'item'"
            (click)="change(item.id)"
          >
            <span
              class="m-l-5 txt-ellipsis"
              nz-tooltip
              [sqtmCoreLabelTooltip]="item.label"
            >
              {{ item.label }}
            </span>
          </div>
        }
      } @else {
        <div class="flex-row placeholder">
          {{ 'sqtm-core.grid.empty-grid.label' | translate }}
        </div>
      }
    }
  </div>
</div>
